{"openapi":"3.0.1","info":{"title":"Collaboration API","description":"Collaboration API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"http://collaboration.titan-coach-platform.eu","description":"Generated server url"}],"paths":{"/api/swc-sessions/{id}":{"get":{"tags":["swc-session-resource"],"operationId":"getSWCSession","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SWCSessionDTO"}}}}}},"put":{"tags":["swc-session-resource"],"operationId":"updateSWCSession","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SWCSessionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SWCSessionDTO"}}}}}},"delete":{"tags":["swc-session-resource"],"operationId":"deleteSWCSession","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["swc-session-resource"],"operationId":"partialUpdateSWCSession","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SWCSessionDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/SWCSessionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SWCSessionDTO"}}}}}}},"/api/swc-sessions/force-create-logs":{"put":{"tags":["swc-session-resource"],"operationId":"forceCreateSWCSessionLogs","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SWCSessionLogDTO"}}}}}}}},"/api/swc-sessions":{"post":{"tags":["swc-session-resource"],"operationId":"createSWCSession","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SWCSessionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SWCSessionDTO"}}}}}}},"/api/collaboration-kafka/publish":{"post":{"tags":["collaboration-kafka-resource"],"operationId":"publish","parameters":[{"name":"message","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/users":{"get":{"tags":["public-user-resource"],"operationId":"getAllPublicUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/api/swc-sessions/user/history":{"get":{"tags":["swc-session-resource"],"operationId":"getAllSWCSessionsHistory","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SWCSessionDTO"}}}}}}}},"/api/swc-sessions/user/history/latest":{"get":{"tags":["swc-session-resource"],"operationId":"getLatestSWCSessionsHistory","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SWCSessionDTO"}}}}}}}},"/api/swc-sessions/search":{"get":{"tags":["swc-session-resource"],"operationId":"findByKeyword","parameters":[{"name":"keyword","in":"query","required":false,"schema":{"type":"string"}},{"name":"useOwner","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SWCSessionDTO"}}}}}}}},"/api/swc-sessions/preview":{"get":{"tags":["swc-session-resource"],"operationId":"getSWCSessionsPreview","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SWCSessionDTO"}}}}}}}},"/api/swc-sessions/logs":{"get":{"tags":["swc-session-resource"],"operationId":"getSWCSessionsLogs","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SWCSessionLogDTO"}}}}}}}},"/api/swc-sessions/logs/by-unique-url/{uniqueUrl}":{"get":{"tags":["swc-session-resource"],"operationId":"getSWCSessionsLogsByUniqueUrl","parameters":[{"name":"uniqueUrl","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SWCSessionLogDTO"}}}}}}}},"/api/swc-sessions/all":{"get":{"tags":["swc-session-resource"],"operationId":"getSWCSessionsAll","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SWCSessionDTO"}}}}}}}},"/api/collaboration-kafka/unregister":{"get":{"tags":["collaboration-kafka-resource"],"operationId":"unregister","responses":{"200":{"description":"OK"}}}},"/api/collaboration-kafka/register":{"get":{"tags":["collaboration-kafka-resource"],"operationId":"register","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseBodyEmitter"}}}}}}},"/api/authorities":{"get":{"tags":["public-user-resource"],"operationId":"getAuthorities","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}},"/api/swc-sessions/log/{id}":{"delete":{"tags":["swc-session-resource"],"operationId":"deleteSWCSessionLog","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"DisinfoSignalDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"documentId":{"type":"string","format":"uuid"},"name":{"type":"string"},"spans":{"type":"array","items":{"$ref":"#/components/schemas/TextSegmentDTO"}}}},"SWCSessionDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"user":{"type":"string"},"title":{"type":"string"},"language":{"type":"string"},"projectId":{"type":"string"},"description":{"type":"string"},"plugin":{"type":"string"},"tags":{"type":"array","items":{"type":"string"}},"userContentId":{"type":"string","format":"uuid"},"uniqueUrl":{"type":"string"},"userContent":{"$ref":"#/components/schemas/UserContentDTO"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedDate":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"lastModifiedBy":{"type":"string"},"userGroup":{"type":"string"}}},"TextSegmentDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"signalId":{"type":"string","format":"uuid"},"start":{"type":"integer","format":"int32"},"end":{"type":"integer","format":"int32"},"segment":{"type":"string"},"value":{"type":"string"},"confidence":{"type":"number","format":"float"}}},"UserContentDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"title":{"type":"string"},"subtitle":{"type":"string"},"authors":{"type":"string"},"source":{"type":"string"},"publishDate":{"type":"string"},"text":{"type":"string"},"tags":{"type":"string"},"type":{"type":"string"},"url":{"type":"string"},"context":{"type":"string"},"language":{"type":"string"},"disinfoSignals":{"type":"array","items":{"$ref":"#/components/schemas/DisinfoSignalDTO"}}}},"SWCSessionLogDTO":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"sessionId":{"type":"string","format":"uuid"},"owner":{"type":"string"},"user":{"type":"string"},"lastAccessTime":{"type":"string","format":"date-time"},"numAccesses":{"type":"integer","format":"int32"},"uniqueUrl":{"type":"string"}}},"UserDTO":{"type":"object","properties":{"id":{"type":"string"},"login":{"type":"string"}}},"ResponseBodyEmitter":{"type":"object","properties":{"timeout":{"type":"integer","format":"int64"}}}}}}